## org.apache.tools.ant.taskdefs
Class Tstamp.Unit

    java.lang.Object
      org.apache.tools.ant.types.EnumeratedAttribute
          org.apache.tools.ant.taskdefs.Tstamp.Unit

Enclosing class:
  Tstamp

    public static class Tstamp.Unit

extends EnumeratedAttribute

set of valid units to use for time offsets.

Field Summary

Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`value`

Constructor Summary
`Tstamp.Unit()` Constructor for Unit enumerated type.

Method Summary
`int` `getCalendarField()` Convert the value to int unit value.
`java.lang.String[]` `getValues()` Get the valid values.

Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Tstamp.Unit

    public Tstamp.Unit()

  Constructor for Unit enumerated type.

Method Detail

### getCalendarField

    public int getCalendarField()

  Convert the value to int unit value.

  Returns:
    an int value.

### getValues

    public java.lang.String[] getValues()

  Get the valid values.

  Specified by:
    `getValues` in class `EnumeratedAttribute`
  Returns:
    the value values.